;InnoSetupVersion=2.0.18

[Setup]
AppName=CesarFTP 0.99g
AppVerName=CesarFTP 0.99g
AppId=CesarFTP 0.99g
AppPublisher=Alexandre Cesari
AppPublisherURL=http://www.aclogic.com
AppSupportURL=http://www.aclogic.com
AppUpdatesURL=http://www.aclogic.com
AppMutex=CesarFTP Server Mutex,CesarFTP Controller Mutex
DefaultDirName={pf}\CesarFTP
DefaultGroupName=CesarFTP
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\CesarFTP.exe"; DestDir: "{app}"; Flags: restartreplace 
Source: "{app}\Server.exe"; DestDir: "{app}"; Flags: restartreplace 
Source: "{app}\License.txt"; DestDir: "{app}"; Flags: restartreplace 
Source: "{app}\Changes.txt"; DestDir: "{app}"; Flags: restartreplace 
Source: "{app}\Readme.txt"; DestDir: "{app}"; Flags: restartreplace 
Source: "{app}\tests.txt"; DestDir: "{app}"; Flags: restartreplace 
Source: "{app}\CesarFTP.chm"; DestDir: "{app}"; Flags: restartreplace 
Source: "{sys}\msvcrt.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\mfc42.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 

[Run]
Filename: "{app}\CesarFTP.exe"; Description: "Launch CesarFTP"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\CesarFTP.exe"; Parameters: "/Uninstall"; 

[Icons]
Name: "{group}\CesarFTP"; Filename: "{app}\CesarFTP.exe"; 
Name: "{group}\CesarFTP Help"; Filename: "{app}\CesarFTP.chm"; 
Name: "{group}\License"; Filename: "{app}\License.txt"; 
Name: "{userdesktop}\CesarFTP"; Filename: "{app}\CesarFTP.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
